extensions / Blog extension
POST
/api/projects/{project_id}/blog/template-previewCreate Template Preview
Create Template Preview for the connected project. The request body schema is listed in the Request Body section.
POST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Schema: PreviewRequest
| Field | Required | Type | Details |
|---|---|---|---|
template_id | Yes | u64, content_id:Option<u64>, #[serde(default)] use_draft:bool | Description: Identifier for template. |
Response Body
Errors
422 UNPROCESSABLE_ENTITY500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

